<?xml version="1.0"?>
<config>
    <modules>
        <Theme_Designer>
            <version>0.1.0</version>
        </Theme_Designer>
    </modules>
    <global>
        <helpers>
            <designer>
                <class>Theme_Designer_Helper</class>
            </designer>
        </helpers>
        <blocks>
            <designer>
                <class>Theme_Designer_Block</class>
            </designer>
        </blocks>
        <models>
            <designer>
                <class>Theme_Designer_Model</class>
                <resourceModel>designer_resource</resourceModel>
            </designer>
        </models>
        <cache>
            <types>
                <designer module="designer" translate="label description">
                    <label>Theme Designer Cache</label>
                    <description>Theme Designer Cache</description>
                    <tags>THEME_DESIGNER</tags>
                </designer>
            </types>
        </cache>
    </global>
    <adminhtml>
        <acl>
            <resources>
                <all>
                    <title>Allow Everything</title>
                </all>
                <admin>
                    <children>
                        <designer translate="title" module="designer">
                            <title>Designer</title>
                            <sort_order>1000</sort_order>
                            <children>
                                <index translate="title">
                                    <title>Designer</title>
                                </index>
                            </children>
                        </designer>
                    </children>
                </admin>
            </resources>
        </acl>
        <layout>
            <updates>
                <designer>
                    <file>designer.xml</file>
                </designer>
            </updates>
        </layout>
    </adminhtml>

    <phpunit>
        <suite>
            <modules>
                <Theme_Designer />
            </modules>
        </suite>
    </phpunit>
</config> 